// '/mqtt/' + tank_num 取代成 '/mqtt/' + tank_num

function inputVacuum() {
    var status = "off";
    var check = $("input[name=input_vacuum_status]:checked");  // 這裡面是 jQuery 撈取資料的方法, jQuery 常使用到 $ 錢字號
    console.log('check：', check);
    //大於0代表有被選中, 如果有多個可以呈現勾取的項目數量
    if (check.length > 0) {
        status = "on";
        $("#cmn-toggle-02").prop('checked', false); // 設定為不要勾選
        if (!confirm("你確定要開啟入料儲豆槽真空吸料機嗎?")) {
            return false;
        };

    } else {
        $("#cmn-toggle-02").prop('checked', true); // 設定為勾選
        if (!confirm("你確定要關閉入料儲豆槽真空吸料機嗎?")) {
            return false;
        };
    };

    var data = { "tank_num": "DI" + tank_num, "command": "input_vacuum_status", "value": status };
    // jquery 請求 '/mqtt/{{tid}}' 頁面
    $.post('/mqtt/' + tank_num, data, function (res) {      //res：HTTP response argument to the middleware function
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-02").prop('checked', true);
            setTimeout("alert('入料儲豆槽真空吸料機_開啟成功!')", 500);
        } else if (res == 'off') {
            $("#cmn-toggle-02").prop('checked', false);
            setTimeout("alert('入料儲豆槽真空吸料機_關閉成功!')", 500);
        } else {
            alert(res);
        };
    }, 'text')
    
};

function inputVacuum_ON() {
    var data = { "tank_num": "DI" + tank_num, "command": "input_vacuum_status", "value": "on" };

    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-02").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-02").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
}

function inputVacuum_OFF() {
    var data = { "tank_num": "DI" + tank_num, "command": "input_vacuum_status", "value": "off" };

    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-02").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-02").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
}
// Benson 真空吸料機 (END)入料儲豆槽
// Benson 真空吸料機 (START)
function tankVacuum() {
    var status = "off";
    var check = $("input[name=tank_vacuum_status]:checked");
    console.log('check：', check);
    //大於0代表有被選中
    if (check.length > 0) {
        status = "on";
        $("#cmn-toggle-05").prop('checked', false);
        if (!confirm("你確定要開啟真空吸料機嗎?")) {
            return false;
        };

    } else {
        $("#cmn-toggle-05").prop('checked', true);
        if (!confirm("你確定要關閉真空吸料機嗎?")) {
            return false;
        };
    };

    var data = { "tank_num": "D" + tank_num, "command": "tank_vacuum_status", "value": status };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-05").prop('checked', true);
            setTimeout("alert('真空吸料機_開啟成功!')", 500);
        } else if (res == 'off') {
            $("#cmn-toggle-05").prop('checked', false);
            setTimeout("alert('真空吸料機_關閉成功!')", 500);
        } else {
            alert(res);
        };
    }, 'text')
    $.get('/loading/D' + tank_num, '', function (res) {
        if (res.tank_vacuum == 0) {
            $("#cmn-toggle-05").prop('checked', false);
        } else if (res.tank_vacuum == 1) {
            $("#cmn-toggle-05").prop('checked', true);
        }
    }, 'json');
    // window.location.reload();
};

function tankVacuum_ON() {
    var data = { "tank_num": "D" + tank_num, "command": "tank_vacuum_status", "value": "on" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-05").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-05").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}
function tankVacuum_OFF() {
    var data = { "tank_num": "D" + tank_num, "command": "tank_vacuum_status", "value": "off" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-05").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-05").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}
// Benson 真空吸料機 (END)
function tankThreeWayValve() {
    //<!--setInterval(Relay,10000);-->
    var status = "off";
    var check = $("input[name=tank_threewayvalve_status]:checked");
    //大於0代表有被選中
    if (check.length > 0) {
        status = "on";
        $("#cmn-toggle-08").prop('checked', false);
        if (!confirm("你確定要開啟三通閥嗎?")) {
            return false;
        };

    } else {
        $("#cmn-toggle-08").prop('checked', true);
        if (!confirm("你確定要關閉三通閥嗎?")) {
            return false;
        };
    };

    var data = { "tank_num": "D" + tank_num, "command": "tank_threewayvalve_status", "value": status };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-08").prop('checked', true);
            setTimeout("alert('三通閥入料_開啟成功!')", 500);
        } else if (res == 'off') {
            $("#cmn-toggle-08").prop('checked', false);
            setTimeout("alert('三通閥排氣_關閉成功!')", 500);
        } else {
            alert(res);
        };
    }, 'text')
    $.get('/loading/D' + tank_num, '', function (res) {
        if (res.tank_threewayvalve == 0) {
            $("#cmn-toggle-08").prop('checked', false);
        } else if (res.tank_threewayvalve == 1) {
            $("#cmn-toggle-08").prop('checked', true);
        }
    }, 'json');
    // window.location.reload();
};
function tankThreeWayValve_ON() {
    var data = { "tank_num": "D" + tank_num, "command": "tank_threewayvalve_status", "value": "on" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-08").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-08").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}
function tankThreeWayValve_OFF() {
    var data = { "tank_num": "D" + tank_num, "command": "tank_threewayvalve_status", "value": "off" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-08").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-08").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}
function tankThreeWayValveInput(params) {
    if (params == '1') {
        var data = { "tank_num": "D" + tank_num, "command": "tank_threewayvalve_input_status", "value": "on" };
    } else if (params == '0') {
        var data = { "tank_num": "D" + tank_num, "command": "tank_threewayvalve_input_status", "value": "off" };
    } else {
        var status = "off";
        var check = $("input[name=tank_threewayvalve_input_status]:checked");
        if (check.length > 0) {
            status = "on";
            $("#cmn-toggle-08").prop('checked', false);
            if (!confirm("你確定要開啟入料三通閥嗎?")) {
                return false;
            };
        } else {
            $("#cmn-toggle-08").prop('checked', true);
            if (!confirm("你確定要關閉入料三通閥嗎?")) {
                return false;
            };
        };
        var data = { "tank_num": "D" + tank_num, "command": "tank_threewayvalve_input_status", "value": status };
    }
    $.post('/mqtt/{{tid}}', data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-08").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-08").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
}

function tankThreeWayValveBean(params) {
    if (params == '1') {
        var data = { "tank_num": "D" + tank_num, "command": "tank_threewayvalve_bean_status", "value": "on" };
    } else if (params == '0') {
        var data = { "tank_num": "D" + tank_num, "command": "tank_threewayvalve_bean_status", "value": "off" };
    } else {
        var status = "off";
        var check = $("input[name=tank_threewayvalve_bean_status]:checked");
        if (check.length > 0) {
            status = "on";
            $("#cmn-toggle-38").prop('checked', false);
            if (!confirm("你確定要開啟測豆三通閥嗎?")) {
                return false;
            };
        } else {
            $("#cmn-toggle-38").prop('checked', true);
            if (!confirm("你確定要關閉測豆三通閥嗎?")) {
                return false;
            };
        };
        var data = { "tank_num": "D" + tank_num, "command": "tank_threewayvalve_bean_status", "value": status };
    }
    $.post('/mqtt/{{tid}}', data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-38").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-38").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
}

// Benson cargo2_actuator.html 控制蝴蝶閥函數 (START)
function tankDiskValve() {
    //<!--setInterval(Relay,10000);-->
    var status = "off";
    var check = $("input[name=tank_diskvalve_status]:checked");
    //大於0代表有被選中
    if (check.length > 0) {
        status = "on";
        $("#cmn-toggle-11").prop('checked', false);
        if (!confirm("你確定要開啟蝴蝶閥嗎?")) {
            return false;
        };

    } else {
        $("#cmn-toggle-11").prop('checked', true);
        if (!confirm("你確定要關閉蝴蝶閥嗎?")) {
            return false;
        };
    };

    var data = { "tank_num": "D" + tank_num, "command": "tank_diskvalve_status", "value": status };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-11").prop('checked', true);
            setTimeout("alert('蝴蝶閥_開啟成功!')", 500);
        } else if (res == 'off') {
            $("#cmn-toggle-11").prop('checked', false);
            setTimeout("alert('蝴蝶閥_關閉成功!')", 500);
        } else {
            alert(res);
        };
    }, 'text')
    $.get('/loading/D' + tank_num, '', function (res) {
        if (res.tank_diskvalve == 0) {
            $("#cmn-toggle-11").prop('checked', false);
        } else if (res.tank_diskvalve == 1) {
            $("#cmn-toggle-11").prop('checked', true);
        }
    }, 'json');
    // window.location.reload();
};
function tankDiskValve_ON() {
    var data = { "tank_num": "D" + tank_num, "command": "tank_diskvalve_status", "value": "on" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-11").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-11").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}
function tankDiskValve_OFF() {
    var data = { "tank_num": "D" + tank_num, "command": "tank_diskvalve_status", "value": "off" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-11").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-11").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}
// Benson cargo2_actuator.html 控制蝴蝶閥函數 (END)
// Benson cargo2_actuator.html 閥 (START) 電磁閥消毒
function tankSolenoidDisinfect() {
    var status = "off";
    var check = $("input[name=tank_solenoid_disinfect_status]:checked");
    //大於0代表有被選中
    if (check.length > 0) {
        status = "on";
        $("#cmn-toggle-14").prop('checked', false);
        if (!confirm("你確定要開啟電磁閥消毒嗎?")) {
            return false;
        };

    } else {
        $("#cmn-toggle-14").prop('checked', true);
        if (!confirm("你確定要關閉消毒電磁閥嗎?")) {
            return false;
        };
    };

    var data = { "tank_num": "D" + tank_num, "command": "tank_solenoid_disinfect_status", "value": status };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-14").prop('checked', true);
            setTimeout("alert('電磁閥消毒_開啟成功!')", 500);
        } else if (res == 'off') {
            $("#cmn-toggle-14").prop('checked', false);
            setTimeout("alert('電磁閥消毒_關閉成功!')", 500);
        } else {
            alert(res);
        };
    }, 'text')

    $.get('/loading/D' + tank_num, '', function (res) {
        if (res.tank_solenoid_disinfect == 0) {
            $("#cmn-toggle-14").prop('checked', false);
        } else if (res.tank_solenoid_disinfect == 1) {
            $("#cmn-toggle-14").prop('checked', true);
        }
    }, 'json');
    // window.location.reload();
};
function tankSolenoidDisinfect_ON() {
    var data = { "tank_num": "D" + tank_num, "command": "tank_solenoid_disinfect_status", "value": "on" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-14").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-14").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}
function tankSolenoidDisinfect_OFF() {
    var data = { "tank_num": "D" + tank_num, "command": "tank_solenoid_disinfect_status", "value": "off" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-14").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-14").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}
// Benson cargo2_actuator.html 閥 (END) 電磁閥消毒
// Benson cargo2_actuator.html 閥 (START) 電磁閥排水
function tankSolenoidWater() {
    var status = "off";
    var check = $("input[name=tank_solenoid_water_status]:checked");
    //大於0代表有被選中
    if (check.length > 0) {
        status = "on";
        $("#cmn-toggle-17").prop('checked', false);
        if (!confirm("你確定要開啟電磁閥排水嗎?")) {
            return false;
        };

    } else {
        $("#cmn-toggle-17").prop('checked', true);
        if (!confirm("你確定要關閉排水電磁閥嗎?")) {
            return false;
        };
    };

    var data = { "tank_num": "D" + tank_num, "command": "tank_solenoid_water_status", "value": status };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-17").prop('checked', true);
            setTimeout("alert('電磁閥排水_開啟成功!')", 500);
        } else if (res == 'off') {
            $("#cmn-toggle-17").prop('checked', false);
            setTimeout("alert('電磁閥排水_關閉成功!')", 500);
        } else {
            alert(res);
        };
    }, 'text')

    $.get('/loading/D' + tank_num, '', function (res) {
        if (res.tank_solenoid_water == 0) {
            $("#cmn-toggle-17").prop('checked', false);
        } else if (res.tank_solenoid_water == 1) {
            $("#cmn-toggle-17").prop('checked', true);
        }
    }, 'json');
    // window.location.reload();
};
function tankSolenoidWater_ON() {
    var data = { "tank_num": "D" + tank_num, "command": "tank_solenoid_water_status", "value": "on" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-17").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-17").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}
function tankSolenoidWater_OFF() {
    var data = { "tank_num": "D" + tank_num, "command": "tank_solenoid_water_status", "value": "off" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-17").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-17").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}
// Benson cargo2_actuator.html 閥 (END) 電磁閥排水
/*
function Motor() {
    $.get('/peeling', '', function (res) {
        //console.log(res.peeling);
        $("#motor_rpm_status").text(res.peeling + ' rpm(每1分鐘更新一次)');
    }, 'json');
};
function ChangeMotor() {
    var motor_data = $("input[name=tank_motor_status]").val();
    if (!confirm("你確定要更改轉速為" + motor_data + "嗎?")) {
        return false;
    };
    var data = { "tank_num": "D" + tank_num, "command": "tank_motor_status", "value": motor_data };
    console.log('data:', data)
    $.post('/mqtt/' + tank_num, data, function (res) {
        if (res == 'on') {
            alert('更改成功');
        } else {
            alert(res);
        };
    }, 'text');

    setTimeout(function(){ location.reload(); }, 500);
};
*/
// Benson cargo2_actuator.html 脫皮機馬達 (START) 馬達攪拌棒
function ChangeMotor() {
    var motor_data = $("input[id=motor_rpm_data]").val();
    if (motor_data == '') {
        //$("#cmn-toggle-20").prop('checked', false);
        alert("請先輸入要運轉的值!");
        return false;

    } else if (motor_data == 0) {
        alert("轉速 0 為關閉馬達");

    } else if (Number(motor_data) < -50 || Number(motor_data) > 50 || !Number(motor_data)) {
        // 
        //$("#cmn-toggle-20").prop('checked', false);
        alert("您輸入的值已超過範圍，請重新輸入!" + !Number(motor_data));
        return false;
    };
    var value = "off";
    //var check = $("input[name=peeling-machine-on]:checked");
    if (motor_data != 0) {
        value = motor_data;
        //$("#cmn-toggle-20").prop('checked', false);
        if (!confirm("你確定要開啟攪拌馬達，運轉速度為 " + motor_data + " RPM 嗎?")) {
            return false;
        };

    } else {
        //$("#cmn-toggle-20").prop('checked', true);
        if (!confirm("你確定要關閉攪拌馬達嗎?")) {
            return false;
        };
    };

    var data = { "tank_num": "D" + tank_num, "command": "tank_motor_status", "value": motor_data };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            //$("#cmn-toggle-14").prop('checked', true); // prop 設置元素屬型與元素值, 設定 checked 屬性為 true
            setTimeout("alert('攪拌馬達_開啟成功!')", 500); // 設定時間執行函式 delay(500), 只執行一次
            var timer = setInterval(Rotate, 60000); // 啟動後會在 60000 毫秒(更新時間一分鐘)內不斷執行 (原因須配合更新時間？)

        } else if (res == 'off') {
            //$("#cmn-toggle-14").prop('checked', false);
            setTimeout("alert('攪拌馬達_關閉成功!')", 500);
            clearInterval(timer);                   // 取消 timer 的不斷執行
            $("#motor_rpm_status").text('');        // 設置 #motor_rpm_status 的文字為空, #井字號
        } else {
            alert(res);
        };
    }, 'text')

    $.get('/loading/D' + tank_num, '', function (res) {
        $("#motor_rpm_data").attr("placeholder", res.tank_motor)
    }, 'json');
    // window.location.reload();
};

function setMotor(RPMData) {
    var data = { "tank_num": "D" + tank_num, "command": "tank_motor_status", "value": RPMData };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            //$("#cmn-toggle-14").prop('checked', true); // prop 設置元素屬型與元素值, 設定 checked 屬性為 true
            var timer = setInterval(Rotate, 60000); // 啟動後會在 60000 毫秒(更新時間一分鐘)內不斷執行 (原因須配合更新時間？)

        } else if (res == 'off') {
            //$("#cmn-toggle-14").prop('checked', false);
            $("#motor_rpm_status").text('');        // 設置 #motor_rpm_status 的文字為空, #井字號
        } else {
            console.log(res)
        };
    }, 'text')

    $.get('/loading/D' + tank_num, '', function (res) {
        $("#motor_rpm_data").attr("placeholder", res.tank_motor)
    }, 'json');
    // window.location.reload();
};

function ChangeMotor_ON() {
    var data = { "tank_num": "D" + tank_num, "command": "tank_motor_status", "value": "20" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            var timer = setInterval(Rotate, 60000);
        } else if (res == 'off') {
            clearInterval(timer);
            $("#motor_rpm_status").text('');
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}
function ChangeMotor_OFF() {
    var data = { "tank_num": "D" + tank_num, "command": "tank_motor_status", "value": "0" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            var timer = setInterval(Rotate, 60000);
        } else if (res == 'off') {
            clearInterval(timer);
            $("#motor_rpm_status").text('');
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}

function Rotate() {
    $.get('/peeling', '', function (res) {
        //console.log(res.peeling);
        $("#motor_rpm_status-status").text(res.peeling + ' rpm(每1分鐘更新一次)');
    }, 'json');

    setTimeout(function () { location.reload(); }, 500);
};

// Benson cargo2_actuator.html 脫皮機馬達 (END) 馬達攪拌棒
// Benson cargo2_actuator.html 鼓風機機 (START)
// 鼓風機函數
function tankBlower() {
    var status = "off";
    var check = $("input[name=tank_blower_status]:checked");
    //大於0代表有被選中
    if (check.length > 0) {
        status = "on";
        $("#cmn-toggle-23").prop('checked', false);
        if (!confirm("你確定要開啟鼓風機嗎?")) {
            return false;
        };

    } else {
        $("#cmn-toggle-23").prop('checked', true);
        if (!confirm("你確定要關閉鼓風機嗎?")) {
            return false;
        };
    };

    var data = { "tank_num": "D" + tank_num, "command": "tank_blower_status", "value": status };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-23").prop('checked', true);
            setTimeout("alert('鼓風機_開啟成功!')", 500);
        } else if (res == 'off') {
            $("#cmn-toggle-23").prop('checked', false);
            setTimeout("alert('鼓風機_關閉成功!')", 500);
        } else {
            alert(res);
        };
    }, 'text')
    $.get('/loading/D' + tank_num, '', function (res) {
        if (res.tank_blower == 0) {
            $("#cmn-toggle-23").prop('checked', false);
        } else if (res.tank_blower == 1) {
            $("#cmn-toggle-23").prop('checked', true);
        }
    }, 'json');
    // window.location.reload();
};
function tankBlower_ON() {
    var data = { "tank_num": "D" + tank_num, "command": "tank_blower_status", "value": "on" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-23").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-23").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}
function tankBlower_OFF() {
    var data = { "tank_num": "D" + tank_num, "command": "tank_blower_status", "value": "off" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-23").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-23").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}
// Benson cargo2_actuator.html 鼓風機 (START)
//電熱管1函數
function tankHeater1() {
    var status = "off";
    var check = $("input[name=tank_heater1_status]:checked");
    //大於0代表有被選中
    if (check.length > 0) {
        status = "on";
        $("#cmn-toggle-26").prop('checked', false);
        if (!confirm("你確定要開啟電熱管1嗎?")) {
            return false;
        };

    } else {
        $("#cmn-toggle-26").prop('checked', true);
        if (!confirm("你確定要關閉電熱管1嗎?")) {
            return false;
        };
    };

    var data = { "tank_num": "D" + tank_num, "command": "tank_heater1_status", "value": status };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-26").prop('checked', true);
            setTimeout("alert('電熱管1_開啟成功!')", 500);
        } else if (res == 'off') {
            $("#cmn-toggle-26").prop('checked', false);
            setTimeout("alert('電熱管1_關閉成功!')", 500);
        } else {
            alert(res);
        };
    }, 'text')
    $.get('/loading/D' + tank_num, '', function (res) {
        if (res.tank_heater1 == 0) {
            $("#cmn-toggle-26").prop('checked', false);
        } else if (res.tank_heater1 == 1) {
            $("#cmn-toggle-26").prop('checked', true);
        }
    }, 'json');
    // window.location.reload();
};
function tankHeater1_ON() {
    var data = { "tank_num": "D" + tank_num, "command": "tank_heater1_status", "value": "on" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-26").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-26").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}
function tankHeater1_OFF() {
    var data = { "tank_num": "D" + tank_num, "command": "tank_heater1_status", "value": "off" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-26").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-26").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}
//電熱管2函數
function tankHeater2() {
    var status = "off";
    var check = $("input[name=tank_heater2_status]:checked");
    //大於0代表有被選中
    if (check.length > 0) {
        status = "on";
        $("#cmn-toggle-29").prop('checked', false);
        if (!confirm("你確定要開啟電熱管2嗎?")) {
            return false;
        };

    } else {
        $("#cmn-toggle-29").prop('checked', true);
        if (!confirm("你確定要關閉電熱管2嗎?")) {
            return false;
        };
    };

    var data = { "tank_num": "D" + tank_num, "command": "tank_heater2_status", "value": status };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-29").prop('checked', true);
            setTimeout("alert('電熱管2_開啟成功!')", 500);
        } else if (res == 'off') {
            $("#cmn-toggle-29").prop('checked', false);
            setTimeout("alert('電熱管2_關閉成功!')", 500);
        } else {
            alert(res);
        };
    }, 'text')

    $.get('/loading/D' + tank_num, '', function (res) {
        if (res.tank_heater2 == 0) {
            $("#cmn-toggle-29").prop('checked', false);
        } else if (res.tank_heater2 == 1) {
            $("#cmn-toggle-29").prop('checked', true);
        }
    }, 'json');
    // window.location.reload();
};
function tankHeater2_ON() {
    var data = { "tank_num": "D" + tank_num, "command": "tank_heater2_status", "value": "on" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-29").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-29").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}
function tankHeater2_OFF() {
    var data = { "tank_num": "D" + tank_num, "command": "tank_heater2_status", "value": "off" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-29").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-29").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}

// 溫度控制 
function tankTemp1Enable() {
    var status = "off";
    var check = $("input[name=tank_temp1_enable_status]:checked");
    //大於0代表有被選中
    if (check.length > 0) {
        status = "on";
        $("#cmn-toggle-35").prop('checked', false);
        if (!confirm("你確定要開啟溫度控制嗎?")) {
            return false;
        };

    } else {
        $("#cmn-toggle-35").prop('checked', true);
        if (!confirm("你確定要關閉溫度控制嗎?")) {
            return false;
        };
    };

    var data = { "tank_num": "D" + tank_num, "command": "temp1_enable", "value": status };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-35").prop('checked', true);
            setTimeout("alert('溫度控制_開啟成功!')", 500);
        } else if (res == 'off') {
            $("#cmn-toggle-35").prop('checked', false);
            setTimeout("alert('溫度控制_關閉成功!')", 500);
        } else {
            alert(res);
        };
    }, 'text')

    $.get('/loading/D' + tank_num, '', function (res) {
        if (res.tank_temp1_enable == 0) {
            $("#cmn-toggle-35").prop('checked', false);
        } else if (res.tank_temp1_enable == 1) {
            $("#cmn-toggle-35").prop('checked', true);
        }
    }, 'json');
    // window.location.reload();
};
function tankTemp1Enable_ON() {
    var data = { "tank_num": "D" + tank_num, "command": "tank_temp_enable", "value": "on" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-35").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-35").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}
function tankTemp1Enable_OFF() {
    var data = { "tank_num": "D" + tank_num, "command": "temp1_enable", "value": "off" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            $("#cmn-toggle-35").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-35").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
    // window.location.reload();
}

/* 判斷是否整數
function isInteger(obj) {
    return obj % 1 === 0
}
isInteger(3) // true
*/

// 設定溫度
/*
<h2>溫度控制設定(單位 ℃)：(目前設定溫度) {{tank_temp1}}</h2>
    <input name="tank_temp1_data" type="text" placeholder="{{tank_temp1}}" style="width: 40px;">℃ (限整數數值)
    <span id="tank_temp1_status" style="color:red;"></span>
    <input type="button" value="送出(設定溫度時請點擊)" name="tank_temp1_status" onclick="ChangeTemp1()">
*/
function ChangeTemp1() {
    var temp_data = $("input[id=tank_temp1_data]").val();
    if (temp_data == '') {
        //$("#cmn-toggle-20").prop('checked', false);
        alert("請先輸入設定溫度!");
        return false;
    }
    var value = "0";
    //var check = $("input[name=peeling-machine-on]:checked");
    if ($("#cmn-toggle-35").prop('checked')) {
        value = temp_data;
        //$("#cmn-toggle-20").prop('checked', false);
        if (!confirm("你確定要設定內桶溫度為 " + temp_data + " ℃ 嗎？")) {
            return false;
        };

    } else {
        //$("#cmn-toggle-20").prop('checked', true);
        //你確定要停止桶內溫度設定嗎
        if (!confirm("請先開啟溫控開關, 再設定桶內溫度")) {
            return false;
        };
    };

    var data = { "tank_num": "D" + tank_num, "command": "temp1", "value": temp_data };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            //$("#cmn-toggle-14").prop('checked', true); // prop 設置元素屬型與元素值, 設定 checked 屬性為 true
            setTimeout("alert('溫度設定_開啟成功!')", 500); // 設定時間執行函式 delay(500), 只執行一次

        } else if (res == 'off') {
            //$("#cmn-toggle-14").prop('checked', false);
            setTimeout("alert('溫度設定_關閉成功!')", 500);
            clearInterval(timer);                   // 取消 timer 的不斷執行
            $("#motor_rpm_status").text('');        // 設置 #motor_rpm_status 的文字為空, #井字號
        } else {
            alert(res);
        };
    }, 'text')

    $.get('/loading/D' + tank_num, '', function (res) {
        $("#tank_temp1_data").attr("placeholder", res.tank_temp1);
    }, 'json');
    // window.location.reload();
};

// Rita 設定溫度時直接開啟溫控開關
function setTemp1(temp_data, temp_duration) {
    // var temp_data = $("input[id=tank_temp1_data]").val();
    if (temp_data == '') {
        alert("請先輸入設定溫度!");
        return false;
    } else if (temp_duration == '') {
        alert("請先輸入持溫時間!");
        return false;
    }
    // var value = "0";

    // var value = temp_data;
    // if (!confirm("你確定要設定內桶溫度為 " + temp_data + " ℃ 嗎？")) {
    //     return false;
    // };

    tankTemp1Enable_ON()

    var data = { "tank_num": "D" + tank_num, "command": "temp1", "value": temp_data, "duration": temp_duration };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
        if (res == 'on') {
            //$("#cmn-toggle-14").prop('checked', true); // prop 設置元素屬型與元素值, 設定 checked 屬性為 true
            setTimeout("alert('溫度設定_開啟成功!')", 500); // 設定時間執行函式 delay(500), 只執行一次

        } else if (res == 'off') {
            //$("#cmn-toggle-14").prop('checked', false);
            setTimeout("alert('溫度設定_關閉成功!')", 500);
            clearInterval(timer);                   // 取消 timer 的不斷執行
            $("#motor_rpm_status").text('');        // 設置 #motor_rpm_status 的文字為空, #井字號
        } else {
            alert(res);
        };
    }, 'text')

    $.get('/loading/D' + tank_num, '', function (res) {
        $("#tank_temp1_data").attr("placeholder", res.tank_temp1);
    }, 'json');
    // window.location.reload();
};

function ChangeTemp1_ON() {
    var data = { "tank_num": "D" + tank_num, "command": "temp1", "value": "30" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
    }, 'text')
    // window.location.reload();
}
function ChangeTemp1_OFF() {
    var data = { "tank_num": "D" + tank_num, "command": "temp1", "value": "25" };
    $.post('/mqtt/' + tank_num, data, function (res) {
        console.log('data:', data)
    }, 'text')
    // window.location.reload();
}

// Benson 真空吸料機 (START) 出料儲豆槽
function outputVacuum() {
    var status = "off";
    var check = $("input[name=output_vacuum_status]:checked");
    //大於0代表有被選中
    if (check.length > 0) {
        status = "on";
        $("#cmn-toggle-32").prop('checked', false);
        if (!confirm("你確定要開啟出料儲豆槽真空吸料機嗎?")) {
            return false;
        };

    } else {
        $("#cmn-toggle-32").prop('checked', true);
        if (!confirm("你確定要關閉出料儲豆槽真空吸料機嗎?")) {
            return false;
        };
    };

    var data = { "tank_num": "DO" + tank_num, "command": "output_vacuum_status", "value": status };
    console.log('data:', data)
    $.post('/mqtt/' + tank_num, data, function (res) {
        if (res == 'on') {
            $("#cmn-toggle-32").prop('checked', true);
            setTimeout("alert('出料儲豆槽真空吸料機_開啟成功!')", 500);
        } else if (res == 'off') {
            $("#cmn-toggle-32").prop('checked', false);
            setTimeout("alert('出料儲豆槽真空吸料機_關閉成功!')", 500);
        } else {
            alert(res);
        };
    }, 'text')
};
function outputVacuum_ON() {
    var data = { "tank_num": "DO" + tank_num, "command": "output_vacuum_status", "value": "on" };
    console.log('data:', data)
    $.post('/mqtt/' + tank_num, data, function (res) {
        if (res == 'on') {
            $("#cmn-toggle-32").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-32").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
}
function outputVacuum_OFF() {
    var data = { "tank_num": "DO" + tank_num, "command": "output_vacuum_status", "value": "off" };
    console.log('data:', data)
    $.post('/mqtt/' + tank_num, data, function (res) {
        if (res == 'on') {
            $("#cmn-toggle-32").prop('checked', true);
        } else if (res == 'off') {
            $("#cmn-toggle-32").prop('checked', false);
        } else {
            console.log('res error')
        };
    }, 'text')
}
// Benson 真空吸料機 (END) 出料儲豆槽